Eclipse Platform Release 3.7

## org.eclipse.core.databinding.observable.masterdetail
Interface IObservableFactory

    public interface IObservableFactory

Generates an `IObservable` when passed a target instance.

Since:
  1.0

Method Summary
`IObservable` `createObservable(Object target)` Creates an observable for the given target object.

Method Detail

### createObservable

    IObservable createObservable(Object target)

  Creates an observable for the given target object.

  Parameters:
    `target` -
  Returns:
    the new observable

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.